Package net.shibboleth.saml.saml2.profile.config.logic.messaging

# Class ClientTLSSOAPLogoutRequestsPredicate

java.lang.Object
net.shibboleth.profile.context.logic.messaging.AbstractRelyingPartyPredicate
net.shibboleth.saml.saml2.profile.config.logic.messaging.ClientTLSSOAPLogoutRequestsPredicate

All Implemented Interfaces:
  `Predicate<MessageContext>`

public class ClientTLSSOAPLogoutRequestsPredicate extends AbstractRelyingPartyPredicate
A predicate implementation that forwards to `SingleLogoutProfileConfiguration.isClientTLSSOAPRequests(MessageContext)`.

## Constructor Summary

Constructors
Constructor
Description
`ClientTLSSOAPLogoutRequestsPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(MessageContext input)`

### Methods inherited from class net.shibboleth.profile.context.logic.messaging.AbstractRelyingPartyPredicate

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### ClientTLSSOAPLogoutRequestsPredicate

public ClientTLSSOAPLogoutRequestsPredicate()

## Method Details

### test

public boolean test(@Nullable MessageContext input)